# gy-common-cli [![](https://img.shields.io/npm/v/gy-common-cli)](https://www.npmjs.com/package/gy-common-cli)

一个快速构建中、后台项目的脚手架

## 特性

- 快速构建一个配置有严格的开发规范的项目
- 自由的配置选择
- 初始化配置可选择
- 详细的命令行 log 提示

---

## 快速使用

全局下载 gy-common-cli，运行以下命令来创建一个新项目：

```
npm i gy-common-cli -g

gy-cli create hello-world

```

## 命令文档

```
gy-cli create hello-world -d

-d, --default 忽略提示符并使用默认预设选项

这个默认的设置非常适合快速创建一个新项目的原型，而手动设置则提供了更多的选项，它们是面向生产的项目更加需要的。

```

gy-cli 命令有一些可选项，你可以通过运行以下命令进行探索：

```
gy-cli create --help
```

```
用法：create [options] <app-name>

创建一个由 `gy-common-cli` 提供支持的新项目
```

## License

MIT
